INTERFACE
SUBROUTINE CPXFU(KST,KND,KSTC,KENDC,KSTGLO,LDRESET,&
 & PDIFCQ, PDIFCS, PDIFTQ, PDIFTS, PFPLCL, PFPLCN, PFPLCG, PFPLCH,&
 & PFPLSL, PFPLSN, PFPLSG, PFPLSH, PFRSO,&
 & PFRTH ,PCLCT, PSTRCU, PSTRCV, PSTRDU, PSTRDV, PSTRTU, PSTRTV, PNEB,&
 & PQICE ,PQLI,&
 & PXUCLS, PXVCLS, PXTCLS, PXQCLS, PXRHCLS,PCLCH, PCLCM, PCLCL, PCLCC,PFTHW,&
 & PFONTE, PFCHSP, PFLWSP, PFEVL, PRUISP, PRUISS, PCCAPE, PCMOCON,PXCLPH,&
 & PXUGST ,PXVGST, PFEVV, PFTR, PRUISL ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KND
INTEGER(KIND=JPIM),INTENT(IN) :: KSTC
INTEGER(KIND=JPIM),INTENT(IN) :: KENDC
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(IN) :: LDRESET
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCQ(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCS(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQ(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTS(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCN(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCG(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCH(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSN(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSG(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSH(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSO(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTH(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLCT(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRCU(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRCV(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDU(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDV(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTU(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTV(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PNEB(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQICE(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PXUCLS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PXVCLS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PXTCLS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PXQCLS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PXRHCLS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLCH(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLCM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLCL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLCC(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFONTE(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFTHW(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCHSP(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFLWSP(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISP(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISS(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCAPE(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCMOCON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PXCLPH(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PXUGST(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PXVGST(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVV(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFTR(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISL(NPROMA)
END SUBROUTINE CPXFU
END INTERFACE
